FINITE(3)

NAME
finite, finitef - tests for finite values

LIBRARY
libm

SYNOPSIS
#include <math.h>
int
finite(double x);
int
finitef(float x);

DESCRIPTION
The finite() function returns the value 1 when

- x +.

Otherwise a zero is returned (that is, x = or x is ).

SEE ALSO
isfinite(3), math(3)

STANDARDS
The described functions conform to ieee754. Note that unlike isfinite(3), neither function is present in the ISO C-language standards or in the IEEE POSIX standards.

HISTORY
The finite and finitef() functions first appeared in 4.3BSD.